Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158829 - kdevelop uses excessive cpu resourses with autoload pref set
Summary: kdevelop uses excessive cpu resourses with autoload pref set
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdevelop
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-26 04:17 UTC by Barry Wright
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-17 23:19:21 UTC


Attachments (Terms of Use)

Description Barry Wright 2005-05-26 04:17:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050414

Description of problem:
kdevelop when started without loading prev project consumes approx 5% mem and settles to <5% cpu.
kdevelop started with auto loading of prev project (even a very simple project) loads the project okay mem usage about 7% but cpu usage settles at approximately 85%. This final figure may depend on the resource usage of other applications. In this case kde desktop was being used with one X terminal running.

Version-Release number of selected component (if applicable):
kdevelop-3.1.1-1

How reproducible:
Always

Steps to Reproduce:
1.Start kdevelop and set pref to load prev project
2.Load project then close kdevelop
3.Start kdevelop and check cpu and memory usage

Actual Results:  kdevelop used excessive amount of cpu resource.

Expected Results:  kdevelop cpu usage should be considerably lower.

Additional info:

Fedora 3 system,  2.6.10-1.741_FC3smp, kdebase-3.3.1-4.3.FC3.

Comment 1 Matthew Miller 2006-07-10 21:53:04 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Rex Dieter 2007-11-17 23:19:21 UTC
no feedback, closing.


Note You need to log in before you can comment on or make changes to this bug.